Server:
    Emails:
        Dont follow theme of website

    When a company is created:
        Send email -> verify ownership of the email

    Need to timeout email reset tokens:

Client:
    jobs/new:
        Want to add Required skills to help with filtering
        When enter is pressed it tries to submit the form
            Should run the whole carosel on enter before the submit is sent
        Need to validate input before allowing next step
        Want to add completed job listing preview at end of carosel

database:
    Add Applied Jobs Table



Task:
    Block API Access as much as possible [ Rate limit | Auth Req | CORS | Disallow AI keyword filters ]
    Resume builder minimal user input [ Dont allow AI input ]
    Auto unlist jobs after a month of no activity [ Multiple offenders marked ]
    Dont allow external applications for users on company sites from the start
    Allow company to look up users if their resume is public [ Maybe auto with notify ]
    Allow users to look up jobs and apply [ Boost visibility | Completely manual ]
    Allow multiple resume's for job specific work
    Mark ghost listings to allow users to be informed and put companies on blast
    Create advanced filtering tools for company lookup and resume lookup

    Create and Auth Database based on the docker compose
    Create a server table inside the auth database
    Point all requests after auth to the correct regional server. -> Currently only Mistox-West exists

    CompanyConnect | need to lookup company before making a new one

    Finish Auth setup
    Make sure autorenew works

    Jobs/editor w/ Querystring JobID=# is not implimented yet
    Company -> Edit employees not implimented yet

    Remove Account table from DB